Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jws
Interface Conversational

All Superinterfaces:
  Annotation

    @Retention(value=RUNTIME)
    @Target(value=TYPE)
    public interface Conversational

extends Annotation

Annotation to configure additional information for a conversational service.

This annotation is not required for a service to be considered conversational.

Method Summary
`String` | `maxAge()` The amount of time (since it started) that the conversation may remain active before it is finished by WebLogic Server.
`String` | `maxIdleTime()` The amount of time that the conversation may remain idle before it is finished by WebLogic Server.
`boolean` | `runAsStartUser()` Continue and finish methods will be run as the user who started the conversation
`boolean` | `singlePrincipal()` If true, only the principal who started the conversation can continue and finish the conversation.

Methods inherited from interface java.lang.annotation.Annotation
`annotationType, equals, hashCode, toString`

Method Detail

### maxIdleTime

    String maxIdleTime()

  The amount of time that the conversation may remain idle before it is finished by WebLogic Server. Note that only activity between a web service and its client will reset the idle timer; activity between a web service and controls does not reset the idle timer. Conversations with 0-length idle timeout will never timeout due to inactivity

### maxAge

    String maxAge()

  The amount of time (since it started) that the conversation may remain active before it is finished by WebLogic Server. Default: 1 day (24 hours).

### runAsStartUser

    boolean runAsStartUser()

  Continue and finish methods will be run as the user who started the conversation

### singlePrincipal

    boolean singlePrincipal()

  If true, only the principal who started the conversation can continue and finish the conversation. If false, a conversation can be continued and finished by another (appropriately authorized) user.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD